//================================
//  SFCommunications Writer - [Javascript Functions]
//    By: Chris Rogers
//  copyright 2000-2003 Liquid Element. All rights reserved
//================================

var version = "v1.22";
var help_new = "Clears the current project and creates a new one (alt+n)";
var help_save = "Downloads the current project in .t3d format (alt+s)";
var help_default = "Contextual Help";
var help_wait = "Pauses the communication for a given amount of time (alt+p)";
var help_cls = "Clears all text in a communication window (alt+c)";
var help_sound = "Plays a sound with the given resource name (alt+o)";
var help_give = "Gives the player an item of the given actor class (alt+g)";
var help_title = "The name of the communication to create";
var help_type = "The type of communication.  Changes how the comm is displayed in-game";
var help_size = "The font size the communication will use";
var help_history = "Toggle whether or not the communication will be added to the history";
var help_hud = "Toggles HUD display during the communication";
var help_playonce = "Toggles whether the communication can be played once, or multiple times";
var help_cancancel = "Toggles whether or not the communication can be canceled";
var help_showinstr = "Shows instructions for using the SFCommunications Writer";
var help_hideinstr = "hides instructions for using the SFCommunications Writer";

function SimpleTag (code)
{
	document.CommWriter.CommunicationProtocol.value += code
}

function Wait ()
{
	var enterTime = prompt("Please enter the pause time in seconds", "2");

	if (!enterTime) {
		alert("ERROR: You must enter a value in seconds");
		return false;
	}

	document.CommWriter.CommunicationProtocol.value += "<wait:" + enterTime + ">"
}

function Sound ()
{
	var enterSound = prompt("Please enter the name of the sound in SpatialED", "Resource Name");

	if (!enterSound) {
		alert("ERROR: You must enter a value for the resource name");
		return false;
	}

	document.CommWriter.CommunicationProtocol.value += "<sound:" + enterSound + ">"
}

function GiveToPlayer ()
{
	var enterClass = prompt("Please enter the class name of the actor to give", "Actor Class Name");

	if (!enterClass) {
		alert("ERROR: You must enter a value for the class name");
		return false;
	}

	document.CommWriter.CommunicationProtocol.value += "<giveToPlayer:" + enterClass + ">"
}

function hstat (txt)
{
	document.CommWriter.help.value = eval( "help_" + txt );
}

function CheckForm ()
{
	var errorMsg = "";

	if (document.CommWriter.Title.value=="New Communication")
		errorMsg += "\n\tTitle \t\t- Enter a valid name for your communication";

	if (document.CommWriter.Title.value=="")
		errorMsg += "\n\tTitle \t\t- Your communication must have a title";

	if (document.CommWriter.Type.value=="0")
		errorMsg += "\n\tComm Type \t- Specify a communication type";

	if (document.CommWriter.FontSize.value=="0")
		errorMsg += "\n\tFont Size \t\t- Your input is invalid";

	if (document.CommWriter.CommunicationProtocol.value=="")
		errorMsg += "\n\tComm Protocol \t- Your communication is empty";

	if (errorMsg != "") {
		msg = "_______________________________________________________________\n\n";
		msg += "Your communication cannot be saved because there were error(s).\n";
		msg += "Please correct the error(s) and try saving again.\n";
		msg += "_______________________________________________________________\n\n";
		msg += "The following field(s) need to be corrected: -\n";
		
		errorMsg += alert(msg + errorMsg + "\n\n");
		return false;
	}
	return true;
}

function ShowHide (id)
{
	var itm = null;
	if (document.getElementById) {
		itm = document.getElementById(id);
	} else if (document.all){
		itm = document.all[id];
	} else if (document.layers){
		itm = document.layers[id];
	}
	if (itm.style) {
		if (itm.style.display == "none") { itm.style.display = ""; }
		else { itm.style.display = "none"; }
	}
}

function ConfirmNew ()
{
	var name = document.CommWriter.Title.value;
	var decision = confirm('Are you sure you want to clear "' + name + '"?');

	if (decision != '')
		return true;
	else
		return false;
}